Package org.eclipse.emf.cdo.lm.client

# Class LMImporter.ImportResolution

java.lang.Object
org.eclipse.emf.cdo.lm.client.LMImporter.ImportResolution

Enclosing class:
  `LMImporter`

public final class LMImporter.ImportResolution extends Object

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`final class`
`LMImporter.ImportResolution.ModuleInfo`

## Method Summary

Modifier and Type
Method
Description
`Map<EObject,URI>`
`getExternalReferences()`
`LMImporter.ImportResolution.ModuleInfo`
`getModuleInfo(LMImporter.ImportModule module)`
`List<LMImporter.ImportResolution.ModuleInfo>`
`getModuleInfos()`
`ResourceSet`
`getResourceSet()`
`List<Module>`
`importModules(ISystemDescriptor systemDescriptor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getResourceSet

public ResourceSet getResourceSet()

### getExternalReferences

public Map<EObject,URI> getExternalReferences()

### getModuleInfos

public List<LMImporter.ImportResolution.ModuleInfo> getModuleInfos()

### getModuleInfo

public LMImporter.ImportResolution.ModuleInfo getModuleInfo(LMImporter.ImportModule module)

### importModules

public List<Module> importModules(ISystemDescriptor systemDescriptor) throws ConcurrentAccessException, CommitException, ISystemDescriptor.ResolutionException, IOException

Throws:
  `ConcurrentAccessException`
  `CommitException`
  `ISystemDescriptor.ResolutionException`
  `IOException`